NAME

OpenAPI::Client::OpenAI::Path::fine_tuning-jobs-fine_tuning_job_id-pause - Documentation for the /fine_tuning/jobs/{fine_tuning_job_id}/pause path.

OPERATIONS

POST /fine_tuning/jobs/{fine_tuning_job_id}/pause

pauseFineTuningJob

$client->pause_fine_tuning_job({
    body => { ... },
});

Pause a fine-tune job.

Path/query parameters

  • fine_tuning_job_id (in path, required, string) - The ID of the fine-tuning job to pause.

Responses

200 - OK

Content-Type: application/json

Example:

{
   "created_at" : 1692661014,
   "estimated_finish" : 0,
   "fine_tuned_model" : "ft:davinci-002:my-org:custom_suffix:7q8mpxmy",
   "finished_at" : 1692661190,
   "hyperparameters" : {
      "batch_size" : 1,
      "learning_rate_multiplier" : 1,
      "n_epochs" : 4
   },
   "id" : "ftjob-abc123",
   "integrations" : [],
   "metadata" : {
      "key" : "value"
   },
   "method" : {
      "supervised" : {
         "hyperparameters" : {
            "batch_size" : 1,
            "learning_rate_multiplier" : 1,
            "n_epochs" : 4
         }
      },
      "type" : "supervised"
   },
   "model" : "davinci-002",
   "object" : "fine_tuning.job",
   "organization_id" : "org-123",
   "result_files" : [
      "file-abc123"
   ],
   "seed" : 0,
   "status" : "succeeded",
   "trained_tokens" : 5768,
   "training_file" : "file-abc123",
   "validation_file" : null
}

SCHEMAS

FineTuneDPOHyperparameters

Properties:

  • batch_size (oneOf) - Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance.

    Default: auto

  • beta (oneOf) - The beta value for the DPO method. A higher beta value will increase the weight of the penalty between the policy and reference model.

    Default: auto

  • learning_rate_multiplier (oneOf) - Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting.

    Default: auto

  • n_epochs (oneOf) - The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset.

    Default: auto

FineTuneDPOMethod

Properties:

FineTuneMethod

Properties:

  • dpo (FineTuneDPOMethod)

    See "FineTuneDPOMethod" below for shape.

  • reinforcement (FineTuneReinforcementMethod)

    See "FineTuneReinforcementMethod" below for shape.

  • supervised (FineTuneSupervisedMethod)

    See "FineTuneSupervisedMethod" below for shape.

  • type (string, required) - The type of method. Is either supervised , dpo , or reinforcement .

    Allowed values: supervised, dpo, reinforcement

FineTuneReinforcementHyperparameters

Properties:

  • batch_size (oneOf) - Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance.

    Default: auto

  • compute_multiplier (oneOf) - Multiplier on amount of compute used for exploring search space during training.

    Default: auto

  • eval_interval (oneOf) - The number of training steps between evaluation runs.

    Default: auto

  • eval_samples (oneOf) - Number of evaluation samples to generate per training step.

    Default: auto

  • learning_rate_multiplier (oneOf) - Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting.

    Default: auto

  • n_epochs (oneOf) - The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset.

    Default: auto

  • reasoning_effort (string) - Level of reasoning effort.

    Allowed values: default, low, medium, high

    Default: default

FineTuneReinforcementMethod

Properties:

FineTuneSupervisedHyperparameters

Properties:

  • batch_size (oneOf) - Number of examples in each batch. A larger batch size means that model parameters are updated less frequently, but with lower variance.

    Default: auto

  • learning_rate_multiplier (oneOf) - Scaling factor for the learning rate. A smaller learning rate may be useful to avoid overfitting.

    Default: auto

  • n_epochs (oneOf) - The number of epochs to train the model for. An epoch refers to one full cycle through the training dataset.

    Default: auto

FineTuneSupervisedMethod

Properties:

FineTuningJob

Properties:

  • created_at (integer, required) - The Unix timestamp (in seconds) for when the fine-tuning job was created.

  • error (anyOf, required)

  • estimated_finish (anyOf)

  • fine_tuned_model (anyOf, required)

  • finished_at (anyOf, required)

  • hyperparameters (object, required) - The hyperparameters used for the fine-tuning job. This value will only be returned when running supervised jobs.

  • id (string, required) - The object identifier, which can be referenced in the API endpoints.

  • integrations (anyOf)

  • metadata (Metadata)

    See "Metadata" below for shape.

  • method (FineTuneMethod)

    See "FineTuneMethod" below for shape.

  • model (string, required) - The base model that is being fine-tuned.

  • object (string, required) - The object type, which is always "fine_tuning.job".

    Allowed values: fine_tuning.job

  • organization_id (string, required) - The organization that owns the fine-tuning job.

  • result_files (array of string, required) - The compiled results file ID(s) for the fine-tuning job. You can retrieve the results with the Files API .

  • seed (integer, required) - The seed used for the fine-tuning job.

  • status (string, required) - The current status of the fine-tuning job, which can be either validating_files , queued , running , succeeded , failed , or cancelled .

    Allowed values: validating_files, queued, running, succeeded, failed, cancelled

  • trained_tokens (anyOf, required)

  • training_file (string, required) - The file ID used for training. You can retrieve the training data with the Files API .

  • validation_file (anyOf, required)

Metadata

Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard.

Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.